Create a new study
curl --request POST \
--url https://api.ionworks.com/projects/{project_id}/studies \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.ionworks.com/projects/{project_id}/studies"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.ionworks.com/projects/{project_id}/studies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"project_id": "<string>",
"organization_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}studies
Create a new study
Create a new study associated with a specific project.
Create a new study
Path Parameters
Body
application/json
Response
Successful Response
The name of the study.
The ID of the project this study belongs to.
Organization this study belongs to.
The unique identifier for the study.
Timestamp of when the study was created.
Timestamp of when the study was last updated.
An optional description for the study.
Was this page helpful?
⌘I